<div class="logo-container">
    <img src="assets/img/logo/default-monochrome-accent.svg" class="logo" (click)="navigateHome()"
        style="cursor: pointer;">
</div>

<div class="center-container">
    <div class="login-container">

        <h1 class="no-margin w-100">Login</h1>

        <form [formGroup]="loginForm" (ngSubmit)="login()">
            <mat-form-field appearance="outline" class="w-100">
                <mat-label>Email</mat-label>
                <input matInput placeholder="pat@example.com" [formControl]="email" required id="username"
                    class="roboto-font">
                <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
            </mat-form-field>


            <!-- <mat-form-field appearance="outline" class="w-100">
            <mat-label>Password</mat-label>
            <input matInput placeholder="Ex: john.mat" id="password" required>
        </mat-form-field> -->

            <mat-form-field appearance="outline" class="w-100">
                <mat-label>Enter your password</mat-label>
                <input matInput [type]="hide ? 'password' : 'text'" required [formControl]="password"
                    class="roboto-font">
                <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                    [attr.aria-pressed]="hide">
                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
            </mat-form-field>

            <button mat-flat-button type="submit" [disabled]="loginForm.invalid" class="w-100 login-btn"
                (click)="login()">Login</button>

        </form>

        <p *ngIf="displayWarning" class="warning-msg">Invalid username or password</p>

    </div>
</div>